| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- All
- Functions
- Typedefs
- Enumerations
- Enumerator
- Macros

- _
- d
- e
- f
- i
- m
- n
- p
- s
- u

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Here is a list of all functions, variables, defines, enums, and typedefs with links to the files they belong to:

### - s -

- ARM_SPI_ABORT_TRANSFER : Driver_SPI.h
- ARM_SPI_API_VERSION : Driver_SPI.h
- ARM_SPI_BIT_ORDER_Msk : Driver_SPI.h
- ARM_SPI_BIT_ORDER_Pos : Driver_SPI.h
- ARM_SPI_Control() : Driver_SPI.c
- ARM_SPI_CONTROL_Msk : Driver_SPI.h
- ARM_SPI_CONTROL_Pos : Driver_SPI.h
- ARM_SPI_CONTROL_SS : Driver_SPI.h
- ARM_SPI_CPOL0_CPHA0 : Driver_SPI.h
- ARM_SPI_CPOL0_CPHA1 : Driver_SPI.h
- ARM_SPI_CPOL1_CPHA0 : Driver_SPI.h
- ARM_SPI_CPOL1_CPHA1 : Driver_SPI.h
- ARM_SPI_DATA_BITS : Driver_SPI.h
- ARM_SPI_DATA_BITS_Msk : Driver_SPI.h
- ARM_SPI_DATA_BITS_Pos : Driver_SPI.h
- ARM_SPI_ERROR_BIT_ORDER : Driver_SPI.h
- ARM_SPI_ERROR_DATA_BITS : Driver_SPI.h
- ARM_SPI_ERROR_FRAME_FORMAT : Driver_SPI.h
- ARM_SPI_ERROR_MODE : Driver_SPI.h
- ARM_SPI_ERROR_SS_MODE : Driver_SPI.h
- ARM_SPI_EVENT_DATA_LOST : Driver_SPI.h
- ARM_SPI_EVENT_MODE_FAULT : Driver_SPI.h
- ARM_SPI_EVENT_TRANSFER_COMPLETE : Driver_SPI.h
- ARM_SPI_FRAME_FORMAT_Msk : Driver_SPI.h
- ARM_SPI_FRAME_FORMAT_Pos : Driver_SPI.h
- ARM_SPI_GET_BUS_SPEED : Driver_SPI.h
- ARM_SPI_GetCapabilities() : Driver_SPI.c
- ARM_SPI_GetDataCount() : Driver_SPI.c
- ARM_SPI_GetStatus() : Driver_SPI.c
- ARM_SPI_GetVersion() : Driver_SPI.c
- ARM_SPI_Initialize() : Driver_SPI.c
- ARM_SPI_LSB_MSB : Driver_SPI.h
- ARM_SPI_MICROWIRE : Driver_SPI.h
- ARM_SPI_MODE_INACTIVE : Driver_SPI.h
- ARM_SPI_MODE_MASTER : Driver_SPI.h
- ARM_SPI_MODE_MASTER_SIMPLEX : Driver_SPI.h
- ARM_SPI_MODE_SLAVE : Driver_SPI.h
- ARM_SPI_MODE_SLAVE_SIMPLEX : Driver_SPI.h
- ARM_SPI_MSB_LSB : Driver_SPI.h
- ARM_SPI_PowerControl() : Driver_SPI.c
- ARM_SPI_Receive() : Driver_SPI.c
- ARM_SPI_Send() : Driver_SPI.c
- ARM_SPI_SET_BUS_SPEED : Driver_SPI.h
- ARM_SPI_SET_DEFAULT_TX_VALUE : Driver_SPI.h
- ARM_SPI_SignalEvent() : Driver_SPI.c
- ARM_SPI_SignalEvent_t : Driver_SPI.h
- ARM_SPI_SS_ACTIVE : Driver_SPI.h
- ARM_SPI_SS_INACTIVE : Driver_SPI.h
- ARM_SPI_SS_MASTER_HW_INPUT : Driver_SPI.h
- ARM_SPI_SS_MASTER_HW_OUTPUT : Driver_SPI.h
- ARM_SPI_SS_MASTER_MODE_Msk : Driver_SPI.h
- ARM_SPI_SS_MASTER_MODE_Pos : Driver_SPI.h
- ARM_SPI_SS_MASTER_SW : Driver_SPI.h
- ARM_SPI_SS_MASTER_UNUSED : Driver_SPI.h
- ARM_SPI_SS_SLAVE_HW : Driver_SPI.h
- ARM_SPI_SS_SLAVE_MODE_Msk : Driver_SPI.h
- ARM_SPI_SS_SLAVE_MODE_Pos : Driver_SPI.h
- ARM_SPI_SS_SLAVE_SW : Driver_SPI.h
- ARM_SPI_TI_SSI : Driver_SPI.h
- ARM_SPI_Transfer() : Driver_SPI.c
- ARM_SPI_Uninitialize() : Driver_SPI.c